import 'package:flutter/material.dart';

class EcgDeviceConnectDisconnected extends StatelessWidget {
  const EcgDeviceConnectDisconnected({
    super.key,
  });

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        const SizedBox(
          height: 8,
        ),
        _buildContent(),
      ],
    );
  }

  Widget _buildTitle(String title) {
    return FittedBox(
      child: Text(
        title,
        style: const TextStyle(color: Colors.red, fontSize: 24),
      ),
    );
  }

  Widget _buildContent() {
    return Row(
      children: [
        _buildTitle('设备断开连接'),
        const SizedBox(
          width: 16,
        ),
      ],
    );
  }
}
